Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F167924294
D29374.id.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D29374.id.diff
View Options
diff --git a/tools/tools/git/git-arc.sh b/tools/tools/git/git-arc.sh
--- a/tools/tools/git/git-arc.sh
+++ b/tools/tools/git/git-arc.sh
@@ -350,12 +350,12 @@
echo "$commits"
}
-gitarc::create()
+gitarc__create()
{
local commit commits doprompt list o prev reviewers subscribers
list=
- if [ "$(git config --bool --default false --get arc.list)" != "false" ]; then
+ if [ "$(git config --bool --get arc.list 2>/dev/null || echo false)" != "false" ]; then
list=1
fi
doprompt=1
@@ -402,7 +402,7 @@
restore_head
}
-gitarc::list()
+gitarc__list()
{
local chash commit commits diff title
@@ -435,7 +435,7 @@
done
}
-gitarc::patch()
+gitarc__patch()
{
local rev
@@ -450,7 +450,7 @@
done
}
-gitarc::stage()
+gitarc__stage()
{
local author branch commit commits diff reviewers tmp
@@ -498,7 +498,7 @@
done
}
-gitarc::update()
+gitarc__update()
{
local commit commits diff
@@ -524,7 +524,7 @@
set -e
ASSUME_YES=
-if [ "$(git config --bool --default false --get arc.assume-yes)" != "false" ]; then
+if [ "$(git config --bool --get arc.assume-yes 2>/dev/null || echo false)" != "false" ]; then
ASSUME_YES=1
fi
@@ -588,10 +588,10 @@
;;
esac
-if [ "$(git config --bool --default false --get arc.browse)" != "false" ]; then
+if [ "$(git config --bool --get arc.browse 2>/dev/null || echo false)" != "false" ]; then
BROWSE=--browse
fi
trap restore_head EXIT INT
-gitarc::"${verb}" "$@"
+gitarc__"${verb}" "$@"
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Aug 26, 11:13 AM (4 h, 30 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
37290497
Default Alt Text
D29374.id.diff (1 KB)
Attached To
Mode
D29374: git-arc.sh: Make it compatible with Ubuntu 18.04
Attached
Detach File
Event Timeline
Log In to Comment